Package: org.gradle.api.publish.ivy

## [Java] Interface IvyConfiguration

- org.gradle.api.publish.ivy.IvyConfiguration

- All Superinterfaces:
    Named

  A configuration included in an IvyPublication, which will be published in the ivy descriptor file generated.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `extend(String configuration)` Add the name of a configuration that this configuration extends.
    `Set<String>` | `getExtends()` The set of names of extended configurations, added via extend(String).

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public void extend(String configuration)

      Add the name of a configuration that this configuration extends. The extend value can use the following wildcards:

      - * - all other configurations
      - *(public) - all other public configurations
      - *(private) - all other private configurations
      Parameters:
        `configuration` - The extended configuration name

    - #### public Set<String> getExtends()

      The set of names of extended configurations, added via extend(String).

      Returns:
        The names of extended configurations.